Package org.snpeff.snpEffect

# Class PurityChange

java.lang.Object
org.snpeff.snpEffect.PurityChange

public class PurityChange extends Object
Analize purity changes in codons and amino acids

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CODONS_AROUND`
`static final int`
`CODONS_SIZE`
`static final boolean`
`debug`
`static final String`
`KEY_SEPARATOR`
`static final int`
`MIN_COUNT_CODON`

## Constructor Summary

Constructors
Constructor
Description
`PurityChange(CodonTable codonTable)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODONS_AROUND

public static final int CODONS_AROUND

See Also:
  - Constant Field Values

### CODONS_SIZE

public static final int CODONS_SIZE

See Also:
  - Constant Field Values

### MIN_COUNT_CODON

public static final int MIN_COUNT_CODON

See Also:
  - Constant Field Values

### KEY_SEPARATOR

public static final String KEY_SEPARATOR

See Also:
  - Constant Field Values

### debug

public static final boolean debug

See Also:
  - Constant Field Values

## Constructor Details

### PurityChange

public PurityChange(CodonTable codonTable)

## Method Details

### main

public static void main(String[] args)